Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved]ffmpeg version conflicts when trying to update world
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1170

PostPosted: Wed Apr 03, 2019 12:21 am    Post subject: [solved]ffmpeg version conflicts when trying to update world Reply with quote

after an emerge sync trying to update world, portage needed multiple ffmpeg version in package_accept.keywords so I added those:

http://dpaste.com/3NMBSJV

In the end emerge still fails with the following errors:
Code:
emerge world -uDNav --with-bdeps=y && revdep-rebuild -i && emerge --depclean && etc-update && emerge @preserved-rebuild

These are the packages that would be merged, in order:

Calculating dependencies                  ... done!               
[ebuild  N     ] dev-libs/ell-0.9::gentoo  USE="-glib -pie" ABI_X86="32 (64) (-x32)" 388 KiB
[ebuild   R    ] net-misc/iputils-20180629::gentoo  USE="arping filecaps ipv6 ssl -SECURITY_HAZARD -caps -clockdiff -doc -gcrypt -idn -libressl -nettle -rarpd -rdisc -static -tftpd -tracepath -traceroute6% (-traceroute%)" 0 KiB
[ebuild   R    ] x11-base/xorg-drivers-1.20::gentoo  INPUT_DEVICES="evdev -elographics -joystick -keyboard -libinput -mouse -synaptics -vmmouse -void -wacom" VIDEO_CARDS="amdgpu radeonsi -ast -dummy -fbdev (-freedreno) (-geode) -glint -i915 -i965 -intel -mga -nouveau -nv -nvidia (-omap) -qxl -r128 -radeon -siliconmotion (-tegra) (-vc4) -vesa -via -virtualbox -vmware (-tdfx%) (-voodoo%)" 0 KiB
[ebuild     U  ] dev-python/enum34-1.1.6-r1::gentoo [1.1.6::gentoo] USE="-doc" PYTHON_TARGETS="python2_7 (-pypy) (-pypy3%)" 0 KiB
[ebuild  N     ] virtual/python-enum34-2::gentoo  PYTHON_TARGETS="python2_7 python3_6 (-pypy) (-pypy3) -python3_5 (-python3_7)" 0 KiB
[ebuild     U  ] net-libs/gnutls-3.6.7:0/30::gentoo [3.6.6:0/30::gentoo] USE="cxx idn nls openssl (pkcs11) seccomp tls-heartbeat -dane -doc -examples -guile -sslv2 -sslv3 -static-libs -test (-test-full) -tools -valgrind" ABI_X86="32 (64) (-x32)" 7'963 KiB
[ebuild     U  ] net-libs/liboauth-1.0.3-r1::gentoo [1.0.3::gentoo] USE="nss -bindist (-curl) -doc -libressl%" 0 KiB
[ebuild     U  ] sys-fs/lvm2-2.02.183::gentoo [2.02.145-r2::gentoo] USE="readline thin udev -device-mapper-only -lvm2create_initrd -sanlock% (-selinux) -static -static-libs (-systemd) (-lvm1%)" 2'325 KiB
[ebuild     U  ] net-misc/dhcpcd-7.1.1-r1::gentoo [7.0.1::gentoo] USE="embedded ipv6 udev" 207 KiB
[ebuild     U  ] dev-libs/xmlsec-1.2.27-r1::gentoo [1.2.27::gentoo] USE="gcrypt gnutls nss openssl -doc -libressl -static-libs -test" 0 KiB
[ebuild     U  ] net-misc/curl-7.64.1::gentoo [7.64.0::gentoo] USE="ipv6 ldap ssh ssl -adns -brotli -http2 -idn -kerberos -metalink -rtmp -samba -static-libs -test -threads" ABI_X86="32 (64) (-x32)" CURL_SSL="(openssl) (-gnutls) (-libressl) (-mbedtls) (-nss) (-winssl)" 2'931 KiB
[ebuild     U  ] app-admin/apache-tools-2.4.39::gentoo [2.4.38::gentoo] USE="ssl -libressl" 6'866 KiB
[ebuild     U  ] dev-util/android-tools-9.0.0_p3::gentoo [8.1.0_p1::gentoo] USE="-python" PYTHON_TARGETS="python2_7 python3_6 -python3_5 (-python3_7)" 50'197 KiB
[ebuild     U  ] www-servers/apache-2.4.39:2::gentoo [2.4.38-r1:2::gentoo] USE="gdbm ldap ssl suexec-caps -debug -doc -libressl (-selinux) -static -suexec -suexec-syslog -threads" APACHE2_MODULES="actions alias auth_basic auth_digest authn_alias authn_anon authn_core authn_dbm authn_file authz_core authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir env expires ext_filter file_cache filter headers include info log_config logio mime mime_magic negotiation rewrite setenvif socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias -access_compat -asis -authn_dbd -authz_dbd -brotli -cache_disk -cache_socache -cern_meta -charset_lite -dbd -dumpio -http2 -ident -imagemap -lbmethod_bybusyness -lbmethod_byrequests -lbmethod_bytraffic -lbmethod_heartbeat -log_forensic -macro -md -proxy -proxy_ajp -proxy_balancer -proxy_connect -proxy_fcgi -proxy_ftp -proxy_html -proxy_http -proxy_http2 -proxy_scgi -proxy_wstunnel -ratelimit -remoteip -reqtimeout -slotmem_shm -substitute -version -watchdog -xml2enc" APACHE2_MPMS="-event -prefork -worker" 25 KiB
[ebuild     U *] x11-libs/cairo-1.16.0-r3::dantrell-gnome [1.16.0-r2::dantrell-gnome] USE="X glib opengl svg xcb (-aqua) -debug (-gles2) -static-libs -utils -valgrind" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] media-gfx/imagemagick-7.0.8.36:0/7.0.8.36::gentoo [7.0.8.28:0/7.0.8.28::gentoo] USE="X bzip2 cxx jpeg lcms openmp pango png svg tiff truetype xml zlib -corefonts -djvu -fftw -fontconfig -fpx -graphviz -hdri -heif -jbig -jpeg2k -lqr -lzma (-opencl) -openexr -perl -postscript -q32 -q8 -raw -static-libs -test -webp -wmf" 9'224 KiB
[ebuild     U *] sys-auth/elogind-241.2::dantrell-gnome [241.1::dantrell-gnome] USE="acl pam (policykit) -debug -doc (-selinux)" 1'367 KiB
[ebuild     U  ] net-wireless/bluez-5.50-r1:0/3::dantrell-gnome [5.49-r1:0/3::dantrell-gnome] USE="alsa cups mesh obex readline udev -btpclient% -debug -deprecated -doc -experimental -extra-tools (-selinux) (-systemd) -test -test-programs -user-session" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7" 1'715 KiB
[ebuild     U  ] dev-vcs/git-2.21.0::gentoo [2.19.2::gentoo] USE="blksha1 curl gnome-keyring gpg iconv nls pcre pcre-jit perl python threads webdav -cgi -cvs -doc -emacs -highlight -libressl -mediawiki -mediawiki-experimental (-ppcsha1) -subversion -test -tk -xinetd" PYTHON_TARGETS="python2_7" 5'793 KiB
[ebuild     U *] sys-auth/polkit-0.115-r4::dantrell-gnome [0.115-r3::dantrell-gnome] USE="elogind gtk introspection kde nls pam -ck (-consolekit) -examples -jit (-selinux) (-systemd) -test" 0 KiB
[ebuild     U  ] www-client/opera-58.0.3135.127::gentoo [58.0.3135.118::gentoo] L10N="de el fr it tr -be -bg -bn -ca -cs -da -en-GB -es -es-419 -fi -fil -fr-CA -hi -hr -hu -id -ja -ko -lt -lv -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sr -sv -sw -ta -te -th -uk -vi -zh-CN -zh-TW" 69'291 KiB
[ebuild     U  ] media-sound/pulseaudio-12.2-r1::gentoo [12.2::gentoo] USE="X alsa alsa-plugin asyncns bluetooth caps dbus elogind%* gdbm glib gtk ipv6 orc qt5 realtime ssl tcpd udev webrtc-aec -doc -equalizer -gconf -jack -libressl -libsamplerate -lirc -native-headset (-neon) -ofono-headset (-oss) (-selinux) -sox (-system-wide) (-systemd) -test -zeroconf" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild    fU ~] net-misc/icaclient-19.3.0.5::gentoo [19.1.0.9::gentoo] USE="-nsplugin" L10N="de fr -es -ja -zh_CN" 0 KiB
[ebuild     U  ] kde-apps/akonadi-search-18.12.3-r1:5::gentoo [18.12.3:5::gentoo] USE="-debug -test" 0 KiB
[ebuild     U ~] media-video/ffmpeg-4.1.3:0/56.58.58::gentoo [4.1.1:0/56.58.58::gentoo] USE="X alsa bzip2 encode frei0r gnutls gpl hardcoded-tables iconv mp3 network openal opencl opengl postproc pulseaudio sdl ssh svg theora threads truetype vaapi vdpau vorbis vpx x264 xcb xvid zlib (-altivec) -amr -amrenc (-appkit) -bluray -bs2b -cdio -chromaprint -chromium -codec2 -cpudetection -debug -doc -fdk -flite -fontconfig -fribidi -gcrypt -gme -gmp -gsm -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -ladspa -libaom -libass -libcaca -libdrm -libilbc -libressl -librtmp -libsoxr -libv4l -libxml2 -lv2 -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -modplug -openh264 -openssl -opus -oss -pic -rubberband -samba -snappy -speex -srt -static-libs -test -twolame -v4l -wavpack -webp -x265 -zeromq -zimg -zvbi" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 ssse3 -3dnow -3dnowext -aes -avx -avx2 -fma3 -fma4 -sse4_2 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" VIDEO_CARDS="-nvidia" 10'439 KiB
[ebuild     UD~] media-video/ffmpeg-3.4.6:0/55.57.57::gentoo [4.1.1:0/56.58.58::gentoo] USE="X alsa bzip2 encode frei0r gnutls gpl hardcoded-tables iconv mp3 network openal opencl opengl postproc pulseaudio sdl ssh svg theora threads truetype vaapi vdpau vorbis vpx x264 xcb xvid zlib (-altivec) -amr -amrenc (-appkit) -bluray -bs2b -cdio -chromaprint -chromium -cpudetection -debug -doc -fdk -flite -fontconfig -fribidi -gcrypt -gme -gmp -gsm -iec61883 -ieee1394 -jack -jpeg2k -kvazaar -ladspa -libass -libcaca -libdrm -libilbc -librtmp -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -modplug -nvenc% -openh264 -openssl -opus -oss -pic -rubberband -samba -snappy -speex -static-libs -test -twolame -v4l -wavpack -webp -x265 -zeromq -zimg -zvbi (-codec2%) (-libaom%) (-libressl%) (-libxml2%) (-lv2%) (-srt%)" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 ssse3 -3dnow -3dnowext -aes -avx -avx2 -fma3 -fma4 -sse4_2 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" VIDEO_CARDS="(-nvidia%)" 9'952 KiB
[ebuild     UD ] media-plugins/gst-plugins-libav-1.14.4.3.4.5:1.0::gentoo [1.14.4.4.1_p20181115:1.0::gentoo] USE="orc -libav" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-video/mplayer-1.3.0-r5::gentoo  USE="X a52 alsa cdio dts dvd dvdnav enca encode gif iconv ipv6 jpeg libass mad mng mp3 network openal opengl osdmenu png pulseaudio sdl shm theora truetype unicode vdpau vorbis x264 xscreensaver xv xvid -aalib (-altivec) (-aqua) -bidi -bl -bluray -bs2b -cddb -cdparanoia -cpudetection -debug -dga -doc -dv -dvb -faac -faad -fbcon -ftp -ggi -gsm -jack -joystick -ladspa -libcaca -libmpeg2 -lirc -live -lzo -md5sum -nas -nut -oss -pnm -pvr -radio -rar -rtc -rtmp -samba (-selinux) -speex -tga -toolame -tremor -twolame -v4l -vcd (-vidix) -xinerama -yuv4mpeg -zoran" CPU_FLAGS_X86="mmx mmxext sse sse2 ssse3 -3dnow -3dnowext" VIDEO_CARDS="-mga (-tdfx%)" 0 KiB
[ebuild     U ~] www-client/firefox-66.0.2::gentoo [66.0.1::gentoo] USE="dbus gmp-autoupdate pulseaudio screenshot startup-notification system-av1 system-harfbuzz system-icu system-jpeg system-libevent system-libvpx system-sqlite system-webp wayland -bindist -clang -custom-cflags -custom-optimization -debug -eme-free -geckodriver -hardened -hwaccel -jack -lto (-neon) -pgo (-selinux) -test -wifi" CPU_FLAGS_X86="-avx2" L10N="de el fr it tr -ach -af -an -ar -as -ast -az -bg -bn-BD -bn-IN -br -bs -ca -cak -cs -cy -da -dsb -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff -fi -fy -ga -gd -gl -gn -gu -he -hi -hr -hsb -hu -hy -id -is -ja -ka -kab -kk -km -kn -ko -lij -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -uk -uz -vi -xh -zh-CN -zh-TW" 274'272 KiB

Total: 29 packages (22 upgrades, 2 downgrades, 2 new, 3 reinstalls), Size of downloads: 452'949 KiB
Fetch Restriction: 1 package

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-video/ffmpeg:0

  (media-video/ffmpeg-4.1.3:0/56.58.58::gentoo, ebuild scheduled for merge) pulled in by
    media-video/ffmpeg:0/56.58.58= required by (kde-frameworks/kfilemetadata-5.54.0:5/5.54::gentoo, installed)
                      ^^^^^^^^^^^^                                                                                                               
    >=media-video/ffmpeg-4:0/56.58.58=[abi_x86_32(-),abi_x86_64(-)] required by (app-emulation/wine-any-4.1:4.1/4.1::gentoo, installed)
    ^^                    ^^^^^^^^^^^^                        ^                                                                                                                                                 
    (and 15 more with the same problems)

  (media-video/ffmpeg-3.4.6:0/55.57.57::gentoo, ebuild scheduled for merge) pulled in by
    <media-video/ffmpeg-4 required by (media-plugins/gst-plugins-libav-1.14.4.3.4.5:1.0/1.0::gentoo, ebuild scheduled for merge)
    ^                   ^                                                                                                                                                             

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


Need a pointer to resolve. Thanks :)

emerge --info:
http://dpaste.com/2G7S8Q9


Last edited by Elleni on Thu Apr 04, 2019 8:15 pm; edited 1 time in total
Back to top
View user's profile Send private message
jburns
Veteran
Veteran


Joined: 18 Jan 2007
Posts: 1105
Location: Massachusetts USA

PostPosted: Wed Apr 03, 2019 1:12 am    Post subject: Reply with quote

Add media-plugins/gst-plugins-libav to package_accept.keywords
Back to top
View user's profile Send private message
Elleni
Veteran
Veteran


Joined: 23 May 2006
Posts: 1170

PostPosted: Thu Apr 04, 2019 8:14 pm    Post subject: Reply with quote

perfect pointer, thanks a lot! :D

-> solved
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum